summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/dcron/run-cron
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core-testing/dcron/run-cron')
-rwxr-xr-xabs/core-testing/dcron/run-cron14
1 files changed, 14 insertions, 0 deletions
diff --git a/abs/core-testing/dcron/run-cron b/abs/core-testing/dcron/run-cron
new file mode 100755
index 0000000..51007a1
--- /dev/null
+++ b/abs/core-testing/dcron/run-cron
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+
+if [ -z $1 ]; then
+ echo "Usage: $0 crondir"
+ exit 1
+fi
+
+for cron in $1/* ; do
+ if [ -x $cron ]; then
+ $cron
+ fi
+done
+unset cron